#
# spec file for package gsynaptics
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gsynaptics
BuildRequires:  fdupes
BuildRequires:  gconf2-devel
BuildRequires:  gnome-doc-utils-devel
BuildRequires:  intltool
BuildRequires:  libglade2-devel
BuildRequires:  libtool
BuildRequires:  pkg-config
BuildRequires:  update-desktop-files
Version:        0.9.16
Release:        bp155.2.13
Summary:        A Graphical Front-End for Synaptics Touchpad Configuration
License:        GPL-2.0+
Group:          System/GUI/GNOME
Url:            http://sourceforge.jp/projects/gsynaptics/
Source:         %{name}-%{version}.tar.bz2
Source1:        preferences-system-touchpad.tar.bz2
# PATCH-FIX-UPSTREAM gsynaptics-CoastingSpeedThreshold.patch vuntz@novell.com -- Taken from gentoo. http://bugs.gentoo.org/202501
Patch0:         gsynaptics-CoastingSpeedThreshold.patch
# PATCH-FIX-UPSTREAM gsynaptics-icon.patch vuntz@novell.com -- http://sourceforge.jp/tracker/index.php?func=detail&aid=12499&group_id=1720&atid=6433
Patch1:         gsynaptics-icon.patch
# PATCH-FIX-UPSTREAM gsynaptics-support-partial-config.patch vuntz@novell.com -- Taken from Debian, https://sourceforge.jp/tracker/index.php?func=detail&aid=12545&group_id=1720&atid=6435
Patch2:         gsynaptics-support-partial-config.patch
# PATCH-FIX-UPSTREAM gsynaptics-decimal-separator.patch vuntz@novell.com -- Taken from Debian, https://sourceforge.jp/tracker/index.php?func=detail&aid=12544&group_id=1720&atid=6435
Patch3:         gsynaptics-decimal-separator.patch
# PATCH-FIX-UPSTREAM gsynaptics-show-in-LXDE.patch andrea@opensuse.org -- Allow also LXDE to Show the desktop file. Wasn't sent upstream since upstream is not actively developed anymore
Patch4:         gsynaptics-show-in-LXDE.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       x11-input-synaptics >= 0.14.4
Recommends:     %{name}-lang

%description
gsynaptics is a gnome applet that can be used to configure Synaptics
touchpads that are commonly found in laptops.

%lang_package
%prep
%setup -a 1
%patch0 -p0
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
autoreconf -f -i
%configure
make %{?jobs:-j %jobs}

%install
%makeinstall
install -D -m644 16x16/preferences-system-touchpad.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/gsynaptics.png
install -D -m644 22x22/preferences-system-touchpad.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/22x22/apps/gsynaptics.png
install -D -m644 24x24/preferences-system-touchpad.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/24x24/apps/gsynaptics.png
install -D -m644 32x32/preferences-system-touchpad.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/gsynaptics.png
install -D -m644 scalable/preferences-system-touchpad.svg $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps/gsynaptics.svg
%suse_update_desktop_file %{name} X-SuSE-ControlCenter-Hardware
# Temporary workaround to not have to own /usr/share/gnome/autostart until
# upstream moves the file in the right directory.
install -d %{buildroot}%{_sysconfdir}/xdg/autostart
mv %{buildroot}%{_datadir}/gnome/autostart/*.desktop %{buildroot}%{_sysconfdir}/xdg/autostart
# end of workaround
%suse_update_desktop_file gsynaptics-init
%find_lang %{name} %{?no_lang_C}
%fdupes $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%if 0%{?suse_version} > 1130

%post
%desktop_database_post
%icon_theme_cache_post
%endif

%if 0%{?suse_version} > 1130

%postun
%desktop_database_postun
%icon_theme_cache_postun
%endif

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%dir %{_datadir}/gnome/
%dir %{_datadir}/gnome/help/
%dir %{_datadir}/gnome/help/%{name}/
%doc %{_datadir}/gnome/help/%{name}/C/
%{_bindir}/gsynaptics*
%{_datadir}/applications/gsynaptics.desktop
%{_datadir}/icons/hicolor/*/*/*.*
%{_sysconfdir}/xdg/autostart/*.desktop
%{_datadir}/gsynaptics
%doc %{_mandir}/man?/gsynaptics*

%files lang -f %{name}.lang

%changelog
* Sun Jul 17 2016 jengelh@inai.de
- Grammar fix for %%description
* Sat Oct 15 2011 coolo@suse.com
- add libtool as buildrequire to make the spec file more reliable
* Sat Feb 12 2011 vuntz@opensuse.org
- Call relevant macros in %%post/%%postun:
  + %%desktop_database_post/postun because the package ships at
    least one desktop file.
  + %%icon_theme_cache_post/postun because the package ships themed
    icons.
- Pass %%{?no_lang_C} to %%find_lang so that english documentation
  can be packaged with the program, and not in the lang subpackage.
- Change Requires of lang subpackage to Recommends, since the
  english documentation is not there anymore.
* Sun Jun 20 2010 andrea@opensuse.org
- added gsynaptics-show-in-LXDE.patch to allow LXDE to show
  gsynaptics into the Menu and the Desktop
* Thu Jan  7 2010 vuntz@opensuse.org
- Remove libsynaptics BuildRequires: it's really not needed.
* Sat Apr  4 2009 vuntz@novell.com
- Update to version 0.9.16:
  + Tapping is enabled if MaxTapTime is > 0 and at least TapButton1
    is > 0.
  + Don't reset the tap time when disabling tapping.
  + Enable default 1-3-2 button mapping when tapping is enabled.
- Remove AutoReqProv: it's default now.
* Mon Feb  2 2009 mboman@suse.de
- Update to version 0.9.15:
  + data/touchpad.png: Fix corruption.
  + src/main.c: Fix compiler warnings.
  + src/main.c: G_OBJECT cast cleanup.
- Update gsynaptics-icon.patch. Partially fixed upstream
* Sun Jan 25 2009 vuntz@novell.com
- Call %%suse_update_desktop_file on all desktop files. Part of
  bnc#445728.
* Sat Nov 29 2008 vuntz@novell.com
- Add gsynaptics-CoastingSpeedThreshold.patch: use the right name
  for the CoastingSpeed option. Taken from Gentoo.
- Add gsynaptics-decimal-separator.patch: make sure we always use .
  as decimal separator. Taken from Debian.
- Add gsynaptics-support-partial-config.patch: fix the code to
  actually work when some gconf keys are not defined. It was
  possible to totally break the touchpad because of this. Taken
  from Debian, fix bnc#402864.
- Remove gsynaptics-patch-missing-null.patch and update
  gsynaptics-icon.patch because of this removal: we don't need both
  patches.
* Mon Nov  3 2008 vuntz@novell.com
- Add gsynaptics-icon.patch and preferences-system-touchpad.tar.bz2
  to install valid icons for the application. Fix bnc#405250.
- Spec cleanup.
* Mon May 19 2008 maw@suse.de
- Add gsynaptics-patch-missing-null.patch (bnc#388236).
* Wed Apr  2 2008 maw@suse.de
- Update to version 0.9.14:
  + Misc. bugfixes and feature enhancements.
* Tue Aug  7 2007 maw@suse.de
- Use %%fdupes
- Split off a -lang subpackage.
* Wed Jan  3 2007 jhargadon@suse.de
- changed the desktop category to X-SuSE-ControlCenter-Hardware so
  that the launcher will show up in control-center
* Mon Nov 13 2006 jhargadon@suse.de
- initial submission, version 0.9.9
